<?php
function travel_magazine_lite_enqueue_styles() {
    $parent_style = 'wp-magazine-style';
    wp_enqueue_style(
        'travel-magazine-lite',
        get_stylesheet_directory_uri() . '/style.css',
        array( 'bootstrap', $parent_style ),
        wp_get_theme()->get('Version') );


}
add_action( 'wp_enqueue_scripts', 'travel_magazine_lite_enqueue_styles' );


 /**
  * Set default settings when switching themes
  */
function travel_magazine_lite_customizer_default_settings() {
	set_theme_mod( 'site_title_color_option', '#497681' );
	set_theme_mod( 'site_tagline_color', '#99a7b5' );
	set_theme_mod( 'wp_magazine_logo_size', 41 );
	set_theme_mod( 'site_identity_font_family', 'Playfair Display' );
	set_theme_mod( 'header_image_height', 43 );

	set_theme_mod( 'header_background_color', '#ffffff' );
	set_theme_mod( 'wp_magazine_header_layouts', 'one' );

	set_theme_mod( 'theme_headline_display_option', true );
	set_theme_mod( 'number_of_headline_posts', 5 );
	set_theme_mod( 'wp_magazine_headline_layouts', 'one' );

	set_theme_mod( 'font_color', '#3f3f3f' );
	set_theme_mod( 'primary_color', '#5a7f5e' );
	set_theme_mod( 'font_family', 'Poppins' );
	set_theme_mod( 'font_size', '16px' );
	set_theme_mod( 'line_height', '24px' );

	set_theme_mod( 'detail_post_page_font_size', '18px' );
	set_theme_mod( 'detail_post_page_font_family', 'Playfair Display' );
	set_theme_mod( 'detail_post_page_line_height', '31px' );

	set_theme_mod( 'button_color', '#7caab6' );
	set_theme_mod( 'footer_background_color', '#f4f0ed' );
	set_theme_mod( 'link_color', '#898989' );

	set_theme_mod( 'top_bar_background_color', '#657182' );
	set_theme_mod( 'menu_font_color', '#ffffff' );
	set_theme_mod( 'menu_background_color', '#9ba78a' );
	set_theme_mod( 'menu_font_family', 'Poppins' );
	set_theme_mod( 'menu_font_size', '14px' );

	set_theme_mod( 'headline_colors', '#7caab6' );
	set_theme_mod( 'headline_news_title_font_size', '15px' );
	set_theme_mod( 'headline_news_title_line_height', '20px' );
	set_theme_mod( 'headline_news_title_font_weight', 300 );

	set_theme_mod( 'featured_news_title_font_size', '24px' );
	set_theme_mod( 'featured_news_title_line_height', '30px' );
	set_theme_mod( 'featured_news_title_font_weight', 300 );

	set_theme_mod( 'category_news_title_colors', '#7caab6' );
	set_theme_mod( 'category_news_title_font_size', '24px' );
	set_theme_mod( 'category_news_title_line_height', '30px' );
	set_theme_mod( 'category_news_title_font_weight', 300 );

	set_theme_mod( 'blog_colors', '#7caab6' );
	set_theme_mod( 'blog_news_title_font_size', '20px' );
	set_theme_mod( 'blog_news_title_line_height', '30px' );
	set_theme_mod( 'blog_news_title_font_weight', 300 );

	set_theme_mod( 'slider_colors', '#ffffff' );
	set_theme_mod( 'slider_news_title_font_size', '20px' );
	set_theme_mod( 'slider_news_title_line_height', '24px' );
	set_theme_mod( 'slider_news_title_font_weight', 500 );

	set_theme_mod( 'number_of_featured_posts', '6' );
	set_theme_mod( 'wp_magazine_featured_layouts', '2' );
	set_theme_mod( 'featured_lifestyle_show_hide_details', array( 'author', 'date', 'categories', 'tags' ) );


	set_theme_mod( 'cta_background_color', '#f7fbf1' );

	set_theme_mod( 'cta_background_color', '#f7fbf1' );

	set_theme_mod( 'number_of_news_carousel_posts', 5 );
	set_theme_mod( 'news_carousel_bg_color', '#f4efe8' );
	set_theme_mod( 'wp_magazine_news_carousel_layouts', 'two' );

	set_theme_mod( 'wp_magazine_sort_homepage', array( 'featured-news', 'cta', 'category-news', 'news-carousel', 'pages', 'blog-posts' ) );

	set_theme_mod( 'homepage_blog_section_number_of_posts', 6 );
	set_theme_mod( 'blog_post_view', 'list-view' );

}
add_action( 'after_switch_theme', 'travel_magazine_lite_customizer_default_settings' );